package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 员工表
 */
@TableName("employee")
@ApiModel(value = "Employee对象", description = "员工表")
public class Employee implements Serializable {
	private static final long serialVersionUID = 1L;
	@TableId(value = "user_id_", type = IdType.AUTO)
	private Long userId;
	@ApiModelProperty("工作性质（兼职、全职） ")
	@TableField(value = "job_nature_")
	private String jobNature;
	@ApiModelProperty("是否试用期(1-是 0-否) ")
	@TableField(value = "is_probation_period_")
	private String isProbationPeriod;
	@ApiModelProperty("学历 ")
	@TableField(value = "education_background_")
	private String educationBackground;
	@ApiModelProperty("毕业学校 ")
	@TableField(value = "graduate_school_")
	private String graduateSchool;
	@ApiModelProperty("技术职称 ")
	@TableField(value = "technical_titles_")
	private String technicalTitles;
	@ApiModelProperty("入职时间 ")
	@TableField(value = "entry_date_")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date entryDate;
	@TableField(value = "create_time_")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date createTime;
	@TableField(value = "update_time_")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date updateTime;
	@ApiModelProperty("介绍 ")
	@TableField(value = "introduction_")
	private String introduction;
	@ApiModelProperty("离职日期 ")
	@TableField(value = "demission_date_")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date demissionDate;
	@ApiModelProperty("联系地址 ")
	@TableField(value = "contact_address_")
	private String contactAddress;

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getJobNature() {
		return jobNature;
	}

	public void setJobNature(String jobNature) {
		this.jobNature = jobNature;
	}

	public String getIsProbationPeriod() {
		return isProbationPeriod;
	}

	public void setIsProbationPeriod(String isProbationPeriod) {
		this.isProbationPeriod = isProbationPeriod;
	}

	public String getEducationBackground() {
		return educationBackground;
	}

	public void setEducationBackground(String educationBackground) {
		this.educationBackground = educationBackground;
	}

	public String getGraduateSchool() {
		return graduateSchool;
	}

	public void setGraduateSchool(String graduateSchool) {
		this.graduateSchool = graduateSchool;
	}

	public String getTechnicalTitles() {
		return technicalTitles;
	}

	public void setTechnicalTitles(String technicalTitles) {
		this.technicalTitles = technicalTitles;
	}

	public Date getEntryDate() {
		return entryDate;
	}

	public void setEntryDate(Date entryDate) {
		this.entryDate = entryDate;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public Date getDemissionDate() {
		return demissionDate;
	}

	public void setDemissionDate(Date demissionDate) {
		this.demissionDate = demissionDate;
	}

	public String getContactAddress() {
		return contactAddress;
	}

	public void setContactAddress(String contactAddress) {
		this.contactAddress = contactAddress;
	}
}